<h1>WPSSO Core</h1><h3>Open Graph, Google Rich Results, Pinterest Rich Pins, Schema JSON-LD, Twitter Cards, WooCommerce SEO and More</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Core</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Advanced WordPress SEO structured data plugin to present your content at its best on social sites and in search results.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>9.2.1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.8.1</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>5.8.0</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>woocommerce, open graph, meta tags, schema, rich results, seo, image seo, video seo, google search, knowledge graph, xml sitemap</td></tr>
</table>

<h2>Description</h2>

<blockquote class="top">
    <p><strong>The <a href="https://surniaulula.com/2021/apps/wordpress/plugins/wordpress-seo-plugin-performance-report-for-q4-2021/">SEO Plugin Performance Report for Q4 2021</a> ranks all the popular plugins for 2021 and 2022 - see where the WPSSO Core plugin ranks compared with all other popular WordPress SEO plugins!</strong></p>
</blockquote>

<h3>The Most Advanced WordPress SEO Structured Data Plugin</h3>

<!-- about -->

<p>WPSSO helps you rank higher and improves click through rates by presenting your content at its best on <strong>social sites</strong> and in <strong>search results</strong> - no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</p>

<p><strong>Provides structured data markup for:</strong></p>

<ul>
    <li>Facebook / Open Graph</li>
    <li>Google Knowledge Graph</li>
    <li>Google Rich Results (aka Rich Snippets)</li>
    <li>LinkedIn / oEmbed Data</li>
    <li>Mobile Web Browsers</li>
    <li>Pinterest Rich Pins</li>
    <li>Twitter Cards</li>
    <li>Schema.org Markup (for 500+ Schema Types)</li>
    <li>Slack</li>
    <li>WhatsApp and Messaging Apps</li>
    <li>WordPress REST API</li>
    <li>WordPress XML Sitemaps</li>
    <li><strong>&#91;Premium&#93;</strong> WooCommerce SEO and More!</li>
</ul>

<!-- /about -->

<p><strong>Uses WordPress, plugin, and remote API data:</strong></p>

<p>There's no need to select or create templates, manually reenter descriptions, titles, product information, or reselect images and videos.</p>

<p>WPSSO can use your existing WordPress content, including custom post types and taxonomies, enhanced user profile data, Media Library image and video information, third-party plugin data, and remote service APIs (Bitly, Facebook, Shopper Approved, Stamped.io, Vimeo, Wistia, YouTube, and many more).</p>

<p><strong>Supports over 500 different Schema types:</strong></p>

<p>WPSSO provides comprehensive Schema markup for posts, pages, custom post types, terms (category, tags, etc.), custom taxonomies, user profile pages, search result pages, archive pages, and Accelerated Mobile Pages (AMP) pages - including image SEO, video SEO, local business, organization, publisher, person, author and co-authors, extensive e-Commerce product markup, product variations, product ratings, aggregate ratings, reviews, recipe information, event details, collection pages, profile pages, search pages, FAQ pages, item lists for Google's Rich Results Carousel, and much more.</p>

<p><strong>Fixes Google Search and Schema Markup Validator errors, including:</strong></p>

<ul>
<li><em>A value for the headline field is required.</em></li>
<li><em>A value for the image field is required.</em></li>
<li><em>A value for the logo field is required.</em></li>
<li><em>A value for the publisher field is required.</em></li>
<li><em>The aggregateRating field is recommended.</em></li>
<li><em>The brand field is recommended.</em></li>
<li><em>The headline field is recommended.</em></li>
<li><em>The image field is recommended.</em></li>
<li><em>The mainEntityOfPage field is recommended.</em></li>
<li><em>The review field is recommended.</em></li>
<li><em>This Product is missing a global identifier (e.g. isbn, mpn or gtin8).</em></li>
<li><em>No global identifier provided (e.g. gtin mpn isbn).</em></li>
<li><em>Not a known valid target type for the itemReviewed property.</em></li>
</ul>

<p><strong>Use WPSSO by itself or extend another SEO plugin:</strong></p>

<p>WPSSO can be your only social and search optimization plugin, or can improve the structured data of another third-party SEO plugin (like All in One SEO Pack, Jetpack SEO Tools, Rank Math SEO, SEO Ultimate, SEOPress, The SEO Framework, WP Meta SEO, Yoast SEO, and more).</p>

<h3>Users Love the WPSSO Core Plugin</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "Unlike competitors, you can literally customize just about every aspect of SEO and Social SEO if you desire to. &#91;...&#93; This plugin has the most complete JSON-LD markup out of any of them, so you won’t have any errors and warnings in search console for WordPress or WooCommerce sites. You can go crazy customizing everything, or you can just set and forget. There aren’t many plugins that allow the best of both worlds." - <a href="https://wordpress.org/support/topic/most-responsive-developer-ive-ever-seen/">kw11</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "This plugin makes getting sites structured data ready extremely easy, and it works flawlessly without any issues. It shows messages on the top bar every step of the way to alert you of any issues until everything is set up correctly. It made all my ecommerce products pass Google's validation tests. Great work." - <a href="https://wordpress.org/support/topic/excellent-plugin-6825/">marguy1</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "What a fantastic plugin. If you want to fix all the errors in search console for structured data, this is the plugin to use. Love it." - <a href="https://wordpress.org/support/topic/makes-schema-so-easy/">goviral</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "This plugin saves me so much time, and it has really lifted my SERP rankings. Most of my keywords I now rank 1-3 position. I also noticed after about a week that my impressions have gone up at least 75%. I upgraded to the pro version which gave me even more options." - <a href="https://wordpress.org/support/topic/excellent-plugin-and-support-200/">playnstocks</a></p>

<h3>WPSSO Core Plugin Features</h3>

<p>Provides accurate and comprehensive meta tags and Schema markup for WordPress posts / pages, custom post types, taxonomies, search results, shop pages, and much more.</p>

<p>Enhances the WordPress oEmbed data for LinkedIn, Discord, Drupal, Squarespace, and others.</p>

<p>Offers optimized image sizes for social sites and search engines:</p>

<ul>
<li>Open Graph (Facebook and oEmbed)</li>
<li>Pinterest Pin It</li>
<li>Schema 1:1 (Google)</li>
<li>Schema 4:3 (Google)</li>
<li>Schema 16:9 (Google)</li>
<li>Schema Thumbnail</li>
<li>Twitter Summary Card</li>
<li>Twitter Large Image Summary Card</li>
</ul>

<p>Provides Schema ImageObject markup with image data from the WordPress Media Library (name, alternateName, alternativeHeadline, caption, description, fileFormat, uploadDate, and more).</p>

<p>Provides Schema VideoObject markup with video data from WPSSO Core Premium service APIs (Facebook, Slideshare, Soundcloud, Vimeo, Wistia, YouTube) including the 'embedUrl' and 'contentUrl' properties for Google.</p>

<p>Built-in compatibility with AMP plugins:</p>

<ul>
<li><a href="https://wordpress.org/plugins/amp/">AMP</a></li>
<li><a href="https://wordpress.org/plugins/accelerated-mobile-pages/">AMP for WP</a></li>
</ul>

<p>Built-in compatibility with caching and optimization plugins:</p>

<ul>
<li>Autoptimize</li>
<li>Cache Enabler</li>
<li>Comet Cache</li>
<li>Hummingbird Cache</li>
<li>LiteSpeed Cache</li>
<li>Pagely Cache</li>
<li>Perfect Images + Retina</li>
<li>SiteGround Cache</li>
<li>W3 Total Cache (aka W3TC)</li>
<li>WP Engine Cache</li>
<li>WP Fastest Cache</li>
<li>WP Rocket Cache</li>
<li>WP Super Cache</li>
</ul>

<p>Built-in compatibility with popular SEO plugins:</p>

<ul>
<li>All in One SEO Pack</li>
<li>Jetpack SEO</li>
<li>Rank Math SEO</li>
<li>SEO Ultimate</li>
<li>SEOPress</li>
<li>Slim SEO</li>
<li>Squirrly SEO</li>
<li>The SEO Framework</li>
<li>WP Meta SEO</li>
<li>Yoast SEO</li>
<li>Yoast WooCommerce SEO</li>
</ul>

<p>Built-in compatibility for advanced WordPress configurations:</p>

<ul>
<li>WordPress MU Domain Mapping</li>
<li>Network / Multisite Installations</li>
</ul>

<p>The WPSSO Core Standard plugin is designed to satisfy the requirements of most standard WordPress sites. If your site requires additional third-party plugin and service API integration, like WooCommerce shops, embedded video support, or advanced customization features, then you may want to get the <a href="https://wpsso.com/extend/plugins/wpsso/">WPSSO Core Premium plugin</a> for those additional features.</p>

<p><strong>&#91;Premium&#93;</strong> Support for the Twitter <a href="https://dev.twitter.com/cards/types/player">Player Card</a> for embedded videos.</p>

<p><strong>&#91;Premium&#93;</strong> Detection of embedded videos in content text with API support for Facebook, Slideshare, Vimeo, Wistia, and Youtube videos.</p>

<p><strong>&#91;Premium&#93;</strong> Upscaling of smaller images to satisfy minimum size requirements for social sites and Google Rich Results (aka aka Rich Snippets).</p>

<p><strong>&#91;Premium&#93;</strong> URL shortening with Bitly, DLMY.App, Google, Ow.ly, TinyURL, or YOURLS.</p>

<p><strong>&#91;Premium&#93;</strong> Customize default Open Graph and Schema types for posts, pages, custom post types, taxonomy terms, and user profile pages.</p>

<p><strong>&#91;Premium&#93;</strong> Customize post and taxonomy types included in the WordPress sitemap XML.</p>

<p><strong>&#91;Premium&#93;</strong> Complete Schema JSON-LD markup for WooCommerce SEO:</p>

<blockquote>
  <p>The WooCommerce plugin does not provide sufficient Schema JSON-LD markup for Google Rich Results.</p>
  
  <p>The WPSSO Core Premium plugin reads WooCommerce product data and provides complete Schema Product JSON-LD markup for Google Rich Results, including additional product images, product variations, product information (brand, color, condition, EAN, dimensions, GTIN-8/12/13/14, ISBN, material, MPN, size, SKU, volume, weight, etc), product reviews, product ratings, sale start / end dates, sale prices, pre-tax prices, VAT prices, shipping rates, shipping times, and much, much more.</p>
</blockquote>

<p><strong>&#91;Premium&#93;</strong> Customizable Schema options in the Document SSO metabox:</p>

<ul>
<li>All Schema Types

<ul>
<li>Name / Title</li>
<li>Alternate Name</li>
<li>Description</li>
<li>Microdata Type URLs</li>
<li>Same-As URLs</li>
</ul></li>
<li>Creative Work Information

<ul>
<li>Is Part of URL</li>
<li>Headline</li>
<li>Full Text</li>
<li>Keywords</li>
<li>Language</li>
<li>Family Friendly</li>
<li>Copyright Year</li>
<li>License URL</li>
<li>Publisher Org.</li>
<li>Publisher Person</li>
<li>Service Provider Org.</li>
<li>Service Provider Person</li>
</ul></li>
<li>Event Information

<ul>
<li>Event Language</li>
<li>Event Attendance</li>
<li>Event Online URL</li>
<li>Event Physical Venue</li>
<li>Event Organizer Org.</li>
<li>Event Organizer Person</li>
<li>Event Performer Org.</li>
<li>Event Performer Person</li>
<li>Event Start (date, time, timezone)</li>
<li>Event End (date, time, timezone)</li>
<li>Event Offers Start (date, time, timezone)</li>
<li>Event Offers End (date, time, timezone)</li>
<li>Event Offers (name, price, currency, availability)</li>
</ul></li>
<li>How-To

<ul>
<li>How-To Makes</li>
<li>How-To Preparation Time</li>
<li>How-To Total Time</li>
<li>How-To Supplies</li>
<li>How-To Tools</li>
<li>How-To Steps (section name, section description, step name, direction text and image)</li>
</ul></li>
<li>Job Posting Information

<ul>
<li>Job Title</li>
<li>Hiring Organization</li>
<li>Job Location</li>
<li>Job Location Type</li>
<li>Base Salary</li>
<li>Employment Type</li>
<li>Jpb Posting Expires</li>
</ul></li>
<li>Movie Information

<ul>
<li>Cast Names</li>
<li>Director Names</li>
<li>Production Company</li>
<li>Movie Runtime</li>
</ul></li>
<li>Organization Information

<ul>
<li>Select an Organization</li>
</ul></li>
<li>Person Information

<ul>
<li>Select a Person</li>
</ul></li>
<li>Product Information

<ul>
<li>Product Availability</li>
<li>Product Brand</li>
<li>Product Color</li>
<li>Product Condition</li>
<li>Product Depth</li>
<li>Product Fluid Volume</li>
<li>Product GTIN-14</li>
<li>Product GTIN-13 (EAN)</li>
<li>Product GTIN-12 (UPC)</li>
<li>Product GTIN-8</li>
<li>Product GTIN</li>
<li>Product ISBN</li>
<li>Product Length</li>
<li>Product Material</li>
<li>Product MPN</li>
<li>Product Price</li>
<li>Product Size</li>
<li>Product SKU</li>
<li>Product Target Gender</li>
<li>Product Type</li>
<li>Product Weight</li>
<li>Product Width</li>
</ul></li>
<li>QA Page Information

<ul>
<li>QA Heading</li>
</ul></li>
<li>Recipe Information

<ul>
<li>Recipe Cuisine</li>
<li>Recipe Course</li>
<li>Recipe Makes</li>
<li>Cooking Method</li>
<li>Preparation Time</li>
<li>Cooking Time</li>
<li>Total Time</li>
<li>Recipe Ingredients</li>
<li>Recipe Instructions</li>
<li>Nutrition Information per Serving

<ul>
<li>Serving Size</li>
<li>Calories</li>
<li>Protein</li>
<li>Fiber</li>
<li>Carbohydrates</li>
<li>Sugar</li>
<li>Sodium</li>
<li>Fat</li>
<li>Saturated Fat</li>
<li>Unsaturated Fat</li>
<li>Trans Fat</li>
<li>Cholesterol</li>
</ul></li>
</ul></li>
<li>Review Information

<ul>
<li>Review Rating</li>
<li>Rating Value Name</li>
<li>Subject of the Review

<ul>
<li>Subject Webpage Type</li>
<li>Subject Webpage URL</li>
<li>Subject Same-As URL</li>
<li>Subject Name</li>
<li>Subject Description</li>
<li>Subject Image ID or URL</li>
<li>Claim Subject Information (for Claim Review)

<ul>
<li>Short Summary of Claim</li>
<li>First Appearance URL</li>
</ul></li>
<li>Creative Work Subject Information

<ul>
<li>C.W. Author Type</li>
<li>C.W. Author Name</li>
<li>C.W. Author URL</li>
<li>C.W. Published Date</li>
<li>C.W. Created Date</li>
</ul></li>
<li>Book Subject Information

<ul>
<li>Book ISBN</li>
</ul></li>
<li>Movie Subject Information

<ul>
<li>Movie Cast Names</li>
<li>Movie Director Names</li>
</ul></li>
<li>Product Subject Information

<ul>
<li>Product Brand</li>
<li>Product Offers (name, price, currency, availability)</li>
<li>Product SKU</li>
<li>Product MPN</li>
</ul></li>
<li>Software App Subject Information

<ul>
<li>Operating System</li>
<li>Application Category</li>
<li>Software App Offers (name, price, currency, availability)</li>
</ul></li>
</ul></li>
</ul></li>
<li>Software Application Information

<ul>
<li>Operating System</li>
<li>Application Category</li>
</ul></li>
</ul>

<p><strong>&#91;Premium&#93;</strong> Integrates with other plugins and service APIs for additional image, video, e-Commerce product details, SEO settings, etc. The following modules are included with the Premium version and automatically loaded if/when the supported plugins and/or services are required.</p>

<ul>
<li><p><strong>Reads data from 30 third-party plugins:</strong></p>

<ul>
<li>All in One SEO Pack</li>
<li>bbPress</li>
<li>BuddyPress</li>
<li>Co-Authors Plus</li>
<li>Easy Digital Downloads</li>
<li>Gravity Forms + GravityView</li>
<li>NextCellent Gallery - NextGEN Legacy</li>
<li>NextGEN Gallery</li>
<li>Perfect WooCommerce Brands</li>
<li>Polylang</li>
<li>Product GTIN (EAN, UPC, ISBN) for WooCommerce</li>
<li>Rate my Post</li>
<li>SEOPress</li>
<li>Simple Job Board</li>
<li>The Events Calendar</li>
<li>The SEO Framework</li>
<li>WooCommerce</li>
<li>WooCommerce Brands</li>
<li>WooCommerce Currency Switcher</li>
<li>WooCommerce UPC, EAN, and ISBN</li>
<li>WooCommerce Show Single Variations</li>
<li>WP Job Manager</li>
<li>WP Meta SEO</li>
<li>WP-PostRatings</li>
<li>WP Product Review</li>
<li>WP Recipe Maker</li>
<li>WPML</li>
<li>YITH WooCommerce Brands Add-on</li>
<li>Yoast SEO</li>
<li>Yotpo Social Reviews for WooCommerce</li>
</ul></li>
<li><p><strong>Reads data from 15 remote service APIs:</strong></p>

<ul>
<li>Bitly</li>
<li>DLMY.App</li>
<li>Facebook Embedded Videos</li>
<li>Gravatar (Author Image)</li>
<li>Ow.ly</li>
<li>Shopper Approved (Ratings and Reviews)</li>
<li>Slideshare Presentations</li>
<li>Soundcloud Tracks (for the Twitter Player Card)</li>
<li>Stamped.io (Ratings and Reviews)</li>
<li>TinyURL</li>
<li>Vimeo Videos</li>
<li>Wistia Videos</li>
<li>WordPress Video Shortcode (and Self-Hosted Videos)</li>
<li>Your Own URL Shortener (YOURLS)</li>
<li>YouTube Videos and Playlists</li>
</ul></li>
</ul>

<h3>Free Complementary Add-ons</h3>

<p>Do you need even more advanced features? Activate any of the free complementary add-on(s) you require:</p>

<ul>
<li><a href="https://wordpress.org/plugins/wpsso-faq/">WPSSO FAQ Manager</a> to manage FAQ categories with Question and Answer pages.</li>
<li><a href="https://wordpress.org/plugins/wpsso-inherit-parent-meta/">WPSSO Inherit Parent Metadata</a> to inherit featured and custom images.</li>
<li><a href="https://wordpress.org/plugins/wpsso-am/">WPSSO Mobile App Meta Tags</a> to manage mobile App information.</li>
<li><a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization Markup</a> to manage multiple organizations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-plm/">WPSSO Place and Local SEO Markup</a> to manage multiple places and locations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-wc-metadata/">WPSSO Product Metadata for WooCommerce SEO</a> to add GTIN, GTIN-8, GTIN-12 (UPC), GTIN-13 (EAN), GTIN-14, ISBN, MPN, depth, and volume for WooCommerce products and variations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a> to add ratings in WordPress comments.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rest-api/">WPSSO REST API</a> to add meta tags and Schema markup in REST API queries.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a> to add responsive social sharing buttons.</li>
<li><a href="https://wordpress.org/plugins/wpsso-breadcrumbs/">WPSSO Schema Breadcrumbs Markup</a> to add Breadcrumbs markup for Google.</li>
<li><a href="https://wordpress.org/plugins/wpsso-wc-shipping-delivery-time/">WPSSO Shipping Delivery Time for WooCommerce SEO</a> to provide Google with shipping rates and delivery time estimates for WooCommerce products and variations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-strip-schema-microdata/">WPSSO Strip Schema Microdata</a> to strip incorrect markup from templates.</li>
<li><a href="https://wordpress.org/plugins/wpsso-tune-image-editors/">WPSSO Tune WP Image Editors</a> for better looking WordPress thumbnail images.</li>
<li><a href="https://wordpress.org/plugins/wpsso-user-locale/">WPSSO User Locale Selector</a> to switch languages quickly and easily.</li>
</ul>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/install-the-plugin/">Install the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/uninstall-the-plugin/">Uninstall the WPSSO Core Plugin</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/setup-guide/">Setup Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/better-schema-for-woocommerce/">Much Better Schema Markup for WooCommerce SEO</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/">Integration Notes</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/buddypress-integration/">BuddyPress Integration Notes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/woocommerce-integration/">WooCommerce Integration Notes</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/troubleshooting-guide/">Troubleshooting Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/developer-special-buy-one-get-one-free/">Developer Special: Buy one, Get one Free</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read Facebook / Open Graph meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-generic-http-500-error/">How can I fix a generic HTTP 500 error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-php-fatal-out-of-memory-error/">How can I fix a PHP fatal "out of memory" error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an HTTP error when uploading images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-create-a-schema-faqpage/">How do I create a Schema FAQPage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-enable-wordpress-wp_debug/">How do I enable WordPress WP_DEBUG?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-google-structured-data-hatom-errors/">How do I fix Google Structured Data &gt; hatom errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-images/">How does WPSSO Core find and select images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-videos/">How does WPSSO Core find and select videos?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-are-some-html-elements-missing-misaligned-different/">Why are some HTML elements missing or misaligned?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does the Schema Markup Validator show errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-shouldnt-i-upload-small-images-to-the-media-library/">Why shouldn't I upload small images to the media library?</a></li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/">Constants</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/all/">All Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/detect-youtube-url-links-as-videos/">Detect YouTube URL Links as Videos</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/exclude-schema-markup-by-post-type/">Exclude Schema Markup by Post Type</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/fix-hentry-errors-in-your-theme-templates/">Fix 'hentry' Errors in your Theme Templates</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-aggregaterating-property/">Modify the aggregateRating Property</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-default-article-sections-list/">Modify the Default Article Section List</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-schema-json-ld/notes/developer/filters/examples/set-a-custom-field-value-to-a-schema-property/">Set a Custom Field Value to a Schema Property</a></li>
</ul></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/multisite-network-support/">Multisite / Network Support</a></li>
</ul>


